#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           pim-data-exporter
Summary:        Application to assist you with backing up and archiving PIM data
Epoch:          2
Version: 23.04.3
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)

# Find KF5 package
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Crash)

# Find KdepimLibs Package
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5AkonadiMime)

BuildRequires:  cmake(KF5MailCommon)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5MailTransport)

BuildRequires:  cmake(KUserFeedback)

Obsoletes:      kdepim-core < 2:16.12.3-1
Provides:       kdepim-core = %epoch:%version-%release

%description
Application to assist you with backing up and archiving PIM data, including
the necessary configuration, for archival or transfer to another computer.

%files -f %name.lang
%_kf5_categoriesdir/pimdataexporter.categories
%_kf5_categoriesdir/pimdataexporter.renamecategories
%_kf5_bindir/pimdataexporter
%_kf5_bindir/pimdataexporterconsole
%_kf5_applicationsdir/org.kde.pimdataexporter.desktop
%_kf5_metainfodir/org.kde.pimdataexporter.appdata.xml
%_kf5_datadir/config.kcfg/pimdataexporterglobalconfig.kcfg

#------------------------------------------------------------------------------

%define pimdataexporterprivate_major 5
%define libpimdataexporterprivate %mklibname pimdataexporterprivate %pimdataexporterprivate_major

%package -n %libpimdataexporterprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libpimdataexporterprivate
KDEPIM library.

%files -n %libpimdataexporterprivate
%_kf5_libdir/libpimdataexporterprivate.so.%{pimdataexporterprivate_major}{,.*}

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/pimdataexporter/
%doc %_kf5_docdir/HTML/*/pimsettingexporter/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Thu Aug 31 2023 neoclust <neoclust> 2:23.04.3-1.mga9
+ Revision: 1982585
- New version 23.04.3

* Fri May 26 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1958290
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946602
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941895
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1923017
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911511
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905362
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886882
- New version 22.08.1

* Fri Sep 02 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883498
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873179
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1854069
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1849576
- New version 22.03.90

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1766044
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724172
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718453
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698661
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694187
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655710
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644091
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633911
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627150
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1615021
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604215
- New version 20.04.3

* Sat Jun 20 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1598087
- New version 20.04.2

* Mon May 18 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585784
- New version 20.04.1

* Sun Apr 19 2020 daviddavid <daviddavid> 2:20.04.0-2.mga8
+ Revision: 1569723
- enable KUserFeedback support

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568229
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559419
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540909
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513394
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467052
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457997
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447870
- New version 19.08.1

* Wed Jul 31 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1426205
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390540
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387758
- New version 19.03.90

* Mon Apr 01 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383934
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375769
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365663
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356600
- New version 18.12.1

* Fri Dec 21 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1344122
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332835
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327488
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1300279
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229154
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201985
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1195007
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186549
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143141
- New version 17.08.0

* Wed Aug 09 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1139201
- New version 17.07.90

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131916
- New version 17.04.3

* Mon Mar 20 2017 neoclust <neoclust> 2:16.12.3-5.mga6
+ Revision: 1093717
- Obsolete kdepim4-core

* Sun Mar 19 2017 neoclust <neoclust> 2:16.12.3-4.mga6
+ Revision: 1093557
- Try to ease upgrade

* Mon Mar 13 2017 neoclust <neoclust> 2:16.12.3-3.mga6
+ Revision: 1092360
- Add conflicts to ease upgrade

* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1091978
- Exclude on armv5

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090170
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076912
- New version 16.12.0

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075100
- imported package pim-data-exporter

